cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Wido den Hollander <w...@widodh.nl>
Subject Re: [4.9.0] new mysql connector
Date Tue, 09 Aug 2016 11:14:54 GMT

> Op 9 augustus 2016 om 12:57 schreef Pierre-Luc Dion <pdion@cloudops.com>:
> 
> 
> Wido, after dist-upgrade you were running at Ubuntu 16.04, correct?
> 

No, that is what the name seems to suggest. The sources.list still contained the 14.04 sources.

dist-upgrade however installs additional dependencies when they are required by the new version
of the package.

'upgrade' will tell you it held a package back due to a new dependency.

Wido

> On Aug 9, 2016 06:33, "Wido den Hollander" <wido@widodh.nl> wrote:
> 
> >
> > > Op 9 augustus 2016 om 12:30 schreef Rajani Karuturi <rajani@apache.org>:
> > >
> > >
> > > on a fresh install dist-upgrade didnt work for me.
> > > Doing apt-get install python-mysql.connector worked.
> > >
> >
> > Did you install the .deb packages using 'dpkg'? If so, that indeed doesn't
> > install dependencies.
> >
> > When installing using 'apt-get install' it will resolve dependencies.
> >
> > This is not a CloudStack packaging issue, that's how dpkg and apt work.
> >
> > Wido
> >
> > > ~ Rajani
> > > http://cloudplatform.accelerite.com/
> > >
> > > On August 9, 2016 at 1:07 PM, Wido den Hollander (wido@widodh.nl)
> > > wrote:
> > > Op 8 augustus 2016 om 22:29 schreef Pierre-Luc Dion
> > > <pdion@cloudops.com ( pdion@cloudops.com )>:
> > >
> > > Hi,
> > >
> > > From what I'm seeing we need to upgrade the MySQL connector for
> > > Python with
> > > 4.9.0 on CentOS.
> > >
> > > Here is the suggested path, tested on CentOS6 [1]. This snipped
> > > will be
> > > part of the upgrade and install instructions. Also, look like
> > > these steps
> > > are not required on Ubuntu 14.04, did any one can confirmed we
> > > are good on
> > > Ubuntu 14.04 ?
> > > For the vote I upgraded a 4.8.0 mgmt server to 4.9.0 under Ubuntu
> > > 14.04.
> > >
> > > I had to run apt-get dist-upgrade (not upgrade) so that it would
> > > install the new mysql connector. After that it worked just fine.
> > >
> > > Wido
> > >
> > > [1]
> > > https://github.com/cloudops/cloudstack-docs-rn/blob/
> > 15624a834e1d6e5c4dfb89e0f0bab3218d8b4eea/source/upgrade/_
> > mysql_connector.rst
> > > ( https://github.com/cloudops/cloudstack-docs-rn/blob/
> > 15624a834e1d6e5c4dfb89e0f0bab3218d8b4eea/source/upgrade/_
> > mysql_connector.rst )
> > >
> > > Also, Please review the PR:
> > > https://github.com/apache/cloudstack-docs-rn/pull/29 (
> > https://github.com/apache/cloudstack-docs-rn/pull/29 )
> > >
> > > Thanks,
> > >
> > > PL
> >

Mime
View raw message